latest puppet expects catalog to contain resources to for requires and subscribes Edit

Bug #1729212 reported by zhongshengping on 2017-11-01
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
puppet-monasca
Undecided
zhongshengping

Bug Description

The unit tests for puppet 5 (running via latest) is failing on some modules because the catalog created in the test doesn't contain the resources being referenced in requires/subscribes.

zhongshengping (chdzsp) on 2017-11-01
Changed in puppet-monasca:
assignee: nobody → zhongshengping (chdzsp)

Fix proposed to branch: master
Review: https://review.openstack.org/516865

Changed in puppet-monasca:
status: New → In Progress

Reviewed: https://review.openstack.org/516865
Committed: https://git.openstack.org/cgit/openstack/puppet-monasca/commit/?id=6ac8b46a20405093ffcb6cfe49cc46518119d064
Submitter: Zuul
Branch: master

commit 6ac8b46a20405093ffcb6cfe49cc46518119d064
Author: ZhongShengping <chdzsp@163.com>
Date: Wed Nov 1 14:53:02 2017 +0800

    Fix resources for latest puppet

    The unit tests for puppet 5 (running via latest) is failing on some
    modules because the catalog created in the test doesn't contain the
    resources being referenced in requires/subscribes.

    Change-Id: I927d517d68bf23aea3837e985afdc8443c2b98c9
    Closes-Bug: #1729212

Changed in puppet-monasca:
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers